#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int n,k,x;
    cin >> n >> k >> x;
    vector<int>p(n);
    for(int i=0;i<n;i++)
    {
        cin>>p[i];
    }
    int br=0;
    vector<int>q(n-k+1,0);
    while(br!=n-k+1)
    {
        vector<int>pom(k);
        for(int i = br; i < br+k;i++)
        {
            pom[0]=pom[0]+p[i];
        }
        for(int i = 1;i<k;i++)
        {
            pom[i]=pom[i-1]+p[br+k-i];
        }
        int najv = -99999;
        for(int i = 0; i < k;i++)
        {
            if(najv < pom[i])
            {
                najv = pom[i];
            }
        }
        q[br]=najv;
        br++;
    }
    for(int i=0;i<n-k+1;i++)
    {
        cout<<q[i]<< " ";
    }

}